@font-face {
  font-family: "CourierPrime-Regular";
  src: url("./CourierPrime-Regular.ttf");
}

@keyframes fadein {
  from { opacity: 0%; }
  to { opacity: 100%; }
}

html {
  font-family: "CourierPrime-Regular";
  font-size: 18pt;
  color: var(--texte);
}

body {
  background: var(--fond);
  margin: 0px;
  padding: 0px;
  hyphens: auto;
  overflow-wrap: break-word;
  text-rendering: optimizeLegibility;
  font-kerning: normal;
  height: 100vh;
  align-content: center;
}

@media (max-width: 600px) {
  body {
    font-size: 0.8em;
    padding: 12px;
  }
  h1 {
    font-size: 1.4em;
  }
}

.logo {
  display: block;
  margin-left: auto;
  margin-right: auto;
  height: 100px;
}

.flex-container {
  width: 100%;
  display: flex;
  padding: 0px;
  margin: 0px;
  flex-direction: column;
  align-items: center;
}

.tout {
  box-sizing: border-box;
  background-color: transparent;
  width: 95vw;
  padding: 0px;
  max-width:1000px;
  margin-top: 10px;
  margin-bottom: 10px;
}


article {
  margin: 1em 0;
  text-align: justify;
  background-color: var(--case);
  border-style: solid;
  border-width: 1px;
  padding: 10px;
  border-radius: 5px;
}

p {
  margin: 1em 0;
  text-align: justify;
}
a {
  color: var(--mauve);
  text-decoration: underline;
  text-decoration-thickness: 0.1em;
  text-decoration-color: var(--lien);
  padding: 2px;
  border-radius: 3px;
}
a:hover {
  color: var(--lien);
  transition: 0.5s;
}
img {
  max-width: 100%;
}
svg {
  height: auto;
  max-width: 100%;
}
h1 {
  font-size: 1.8em;
  margin: 0;
  text-align: center;
}

:root {
  --mauve: #ca9ee6;
  --lien: #8caaee;
  --texte: #c6d0f5;
  --fond: #303446;
  --case: #292c3c;
  --bordure: #232634;
}
